## Contributing to Spok

Thank you for your interest in contributing to Spok! We want to encourage you
to contribute with documentation, bug reports, code and ideas.

Before contributing, please read our [Code of Conduct](CODE_OF_CONDUCT.md) and [License](LICENSE.txt).

### Table of Contents

* [Documentation](#documentation)
* [Did you find a bug?](#did-you-find-a-bug)
* [Contributing with code](#contributing-with-code)
* [Contributing with ideas](#contributing-with-ideas)
* [Do you have questions about the source code?](#do-you-have-questions-about-the-source-code)


#### **Documentation**

The project uses the [RDoc tool](https://ruby.github.io/rdoc/) to generate documentation.
Spok uses the [TomDoc](http://tomdoc.org/) style for writing docs. You can read
the [existing docs](https://www.rubydoc.info/gems/spok/) for more information.

Documentation is a very important portion of software. We want to always improve
our communication using it.

#### **Did you find a bug?**

* **Ensure the bug was not already reported** by searching on [Issues](https://github.com/magnetis/spok/issues) page.

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/magnetis/spok/issues/new). Please, be sure to include a **title and clear description**, as much relevant information as possible.

#### **Contributing with code**

To contribute with code you should follow these steps:

1. Fork the project;
2. Clone your fork using the project URL (git or https);
3. Create a new branch to implement your functionality or code. This can be done with the command: `git checkout -b your-branch-name-here`;
4. Make your changes and add a new commit with a clear message saying why this change is being made;
5. Make sure the tests are passing. To run the tests use the command: `rake spec`;
5. Push your code with the command: `git push -u origin your-branch-name-here`;
6. Go to your fork page at Github;
7. Open a new Pull request.

If you want ideas on what you can do, check the
[open issues](https://github.com/magnetis/spok/issues).

#### **Contributing with ideas**

To contribute with ideas you can
[open a new issue](https://github.com/magnetis/spok/issues/new). Please write a
clear description of your suggestion, along with motivations and examples.

#### **Do you have questions about the source code?**

* You can contact us on dev@magnetis.com.br

Thanks! :heart: :tada:

Magnetis Team
